#ifndef cHTTP_h
#define cHTTP_h
#include "sSocket.h"
#include "misc.h"
#include <map>
#include <string>

typedef std::map<std::string, std::string> KeyMap;

class cHTTP:public sSocket {
	private:
	int		 state;
	char 		*url;
	KeyMap		 header;
	KeyMap		 param;
	int		 Parse(unsigned char *input);
	bool		 auth;
	public:
	void		readWork(void) { }
			 cHTTP 	(class cSocket *fd, struct in_addr, uint16_t PORT);
virtual			~cHTTP 	();
	void		 Work	  	(void)       {   }
virtual int      	 doRead_high   	(void);
virtual	bool	 	 canSend  	(void) const { return true; }
virtual bool     	 canWork  	(void) const { return true; }
	};

// vim:fdm=marker
#endif
